• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

Error message in Photoshop Elements "...not the right kind of document."

New Here ,
Apr 22, 2022 Apr 22, 2022

Copy link to clipboard

Copied

Hi, Whenever I try to download a Photoshop Elements plug-in, I get the following error message on the Photo Editor screen: "Could not complete your request because it is not the right kind of document." Any fix for this? Running Photoshop Elements 2021, in Windows 10. Any help would be greatly appriciated. Many thanks in advance. Pax

TOPICS
Problem or error

Views

98

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 25, 2022 Apr 25, 2022

Copy link to clipboard

Copied

Let me move this to the Photoshop Elements forum for you, which is the appropriate forum for your question.

The Using the Community forum is for help in using the Adobe Support Community forums, not for help with specific programs, installation issues, or account issues such as subscription questions or billing problems, or generalized questions about Creative Cloud services.

* Product questions should be posted in the associated product community.
* Installation questions should be posted in the Download & Install community.
* Account issues, including subscription questions or billing problems, should be posted in the Account, Payment, & Plan community.
* Questions about the Creative Cloud desktop app or general questions about apps in the Creative Cloud should be posted to the Creative Cloud Services community.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 25, 2022 Apr 25, 2022

Copy link to clipboard

Copied

Which plugin are you trying to install?

Is it compatible with PS Elements 2021?

 

Nancy O'Shea, Product User & Community Expert
Alt-Web Design & Publishing ~ Web : Print : Graphics : Media

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 25, 2022 Apr 25, 2022

Copy link to clipboard

Copied

Are you sure it's not a Photoshop plugin rather than a Photoshop Elements plugin?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Apr 26, 2022 Apr 26, 2022

Copy link to clipboard

Copied

LATEST

I'm not aware of any Photoshop CC plug-in that can't be used in Elements.  The error message does not seem to be a plug-in related message.  So, we definitely need more details about the plug-in and what action you were taking to generate the error message.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines